﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;

namespace StrategicCombat.CombatUnits
{
    /// <summary>
    /// This class represent a combat unit on the left side of the board.
    /// </summary>
    public class LeftCombatUnit : CombatUnit
    {
        #region Constructors

        /// <summary>
        /// Create a new combat unit on the left side of the board.
        /// </summary>
        /// <param name="position"></param>
        public LeftCombatUnit(ContentManager content, Vector2 position)
            : base(content, position)
        {
            // Set start position for a combat.
            this.combatStartPosition = new Vector2(265, 300);

            // Set the direction of the texture at the start
            this.startDirectionVector = new Vector2(1, 0);

            // Set the combat healtbar position
            this.combatHealthBarPosition = new Point(218, 650);

        }

        #endregion

        #region Methods

        /// <summary>
        /// Add a shot to the list of shots.
        /// </summary>
        public override void AddShot()
        {

        } // End of the AddShot method.

        /// <summary>
        /// Play a movement sound.
        /// </summary>
        public override void PlayMovementSound()
        {

        } // End of the PlayMovementSound method.

        /// <summary>
        /// Play a shooting sound.
        /// </summary>
        public override void PlayShootingSound()
        {

        } // End of the PlayShootingSound method.

        #endregion

    } // End of class

} // End of namespace
