﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 1
    /// </summary>
    public class CombatSceneOne : CombatScene
    {
        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneOne(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneOne/dark-concrete");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneOne/white-concrete");

            // Create the barriers list.
            this.barriers = new Rectangle[3];

            // Add barrier rectangles.
            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left + 100, this.combatSceneRectangle.Top, 50, 200);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 650, this.combatSceneRectangle.Top + 376, 50, 200);
            this.barriers[2] = new Rectangle(this.combatSceneRectangle.Left + 300, this.combatSceneRectangle.Top + 263, 200, 50);

        }

        #endregion

    } // End of class

} // End of namespace
