﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 6
    /// </summary>
    public class CombatSceneSix : CombatScene
    {
        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneSix(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneSix/cementFloor");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneSix/cementWall");

            // Create the barriers list.
            this.barriers = new Rectangle[6];

            // Add barrier rectangles.
            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left + 100, this.combatSceneRectangle.Top, 50, 200);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 375, this.combatSceneRectangle.Top, 50, 200);
            this.barriers[3] = new Rectangle(this.combatSceneRectangle.Left + 650, this.combatSceneRectangle.Top, 50, 200);
            this.barriers[4] = new Rectangle(this.combatSceneRectangle.Left + 250, this.combatSceneRectangle.Top + 376, 50, 200);
            this.barriers[5] = new Rectangle(this.combatSceneRectangle.Left + 500, this.combatSceneRectangle.Top + 376, 50, 200);

        }

        #endregion

    } // End of class

} // End of namespace
