﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 2
    /// </summary>
    public class CombatSceneThree : CombatScene
    {

        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneThree(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneThree/sandConcrete");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneThree/stone");

            // Create the x barriers list.
            this.barriers = new Rectangle[6];

            // Add barrier rectangles.
            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left + 200, this.combatSceneRectangle.Top + 100, 50, 120);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 200, this.combatSceneRectangle.Top + 350, 50, 120);
            this.barriers[2] = new Rectangle(this.combatSceneRectangle.Left + 600, this.combatSceneRectangle.Top + 100, 50, 120);
            this.barriers[3] = new Rectangle(this.combatSceneRectangle.Left + 600, this.combatSceneRectangle.Top + 350, 50, 120);
            this.barriers[4] = new Rectangle(this.combatSceneRectangle.Left + 350, this.combatSceneRectangle.Top + 100, 150, 50);
            this.barriers[5] = new Rectangle(this.combatSceneRectangle.Left + 350, this.combatSceneRectangle.Top + 420, 150, 50);

        }

        #endregion

    } // End of class

} // End of namespace