﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.Maps
{
    /// <summary>
    /// This class represent combatScene 2
    /// </summary>
    public class CombatSceneTwo : CombatScene
    {

        #region Constructors

        /// <summary>
        /// Create a new combat scene.
        /// </summary>
        /// <param name="content"></param>
        public CombatSceneTwo(ContentManager content)
            : base(content)
        {
            // Load the textures
            this.combatSceneTexture = content.Load<Texture2D>("Maps/CombatSceneTwo/grass");
            this.barrierTexture = content.Load<Texture2D>("Maps/CombatSceneTwo/rock");

            // Create the x barriers list.
            this.barriers = new Rectangle[6];

            // Add barrier rectangles.
            this.barriers[0] = new Rectangle(this.combatSceneRectangle.Left + 200, this.combatSceneRectangle.Top + 80, 50, 80);
            this.barriers[1] = new Rectangle(this.combatSceneRectangle.Left + 200, this.combatSceneRectangle.Top + 260, 50, 80);
            this.barriers[2] = new Rectangle(this.combatSceneRectangle.Left + 200, this.combatSceneRectangle.Top + 440, 50, 80);
            this.barriers[3] = new Rectangle(this.combatSceneRectangle.Left + 550, this.combatSceneRectangle.Top, 50, 100);
            this.barriers[4] = new Rectangle(this.combatSceneRectangle.Left + 550, this.combatSceneRectangle.Top + 200, 50, 150);
            this.barriers[5] = new Rectangle(this.combatSceneRectangle.Left + 550, this.combatSceneRectangle.Top + 476, 50, 100);

        }

        #endregion

    } // End of class

} // End of namespace
