﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace StrategicCombat.MenuScreens
{
    /// <summary>
    /// This class represent a credits screen.
    /// </summary>
    public class CreditsScreen : InformationScreen
    {

        #region Constructors

        /// <summary>
        /// Create a new credits screen.
        /// </summary>
        public CreditsScreen()
        {
            this.title = Resources.Credits;

            this.message = "Programming: Fredrik Stigsson " + Environment.NewLine +
                "Code samples: Microsoft (APP HUB) " + Environment.NewLine +
                "Graphics: Fredrik Stigsson " + Environment.NewLine +
                "Textures: www.textureking.com, www.texturewarehouse.com, www.sites.google.com/site/asteronprojects " + Environment.NewLine +
                "Sound: www.freesoundtrackmusic.com, Microsoft SoundLab Sample, www.soundjay.com, " + Environment.NewLine +
                "www.allmusiclibrary.com " + Environment.NewLine +
                "Playtesters: Lars Axelsson, Markus Stigsson, Johan Gunnarsson, Ivan-Mark Debono, Snape, " + Environment.NewLine +
                "OnekSoft Games" + Environment.NewLine + Environment.NewLine +
                "Copyright 2011 xfsgames.com (JFS Bokforing HB)";

        }

        #endregion

        #region Methods

        /// <summary>
        /// Draw specific information for the screen.
        /// </summary>
        /// <param name="spriteBatch"></param>
        /// <param name="font"></param>
        public override void DrawSpecificInformation(SpriteBatch spriteBatch, SpriteFont font)
        {
            // Draw the message.
            spriteBatch.DrawString(font, this.message, new Vector2(xOffset + 6, yOffset + 101), Color.DarkGray * TransitionAlpha, 0, Vector2.Zero, 1, SpriteEffects.None, 0);
            spriteBatch.DrawString(font, this.message, new Vector2(xOffset + 5, yOffset + 100), Color.White * TransitionAlpha, 0, Vector2.Zero, 1, SpriteEffects.None, 0);
        
        } // End of the DrawSpecificInformation screen.

        #endregion

    } // End of class

} // End of namespace
