using System;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Storage;
using StrategicCombat.GamerStatistics;

namespace StrategicCombat
{
#if WINDOWS || XBOX

    /// <summary>
    /// This class will start the game.
    /// </summary>
    static class Program
    {
        #region Variables

        // A variable for the host team.
        public static byte hostTeam = 0;

        // Audio variables.
        public static AudioEngine audioEngine;
        public static WaveBank waveBank;
        public static SoundBank soundBank;
        public static Cue menuMusic;
        public static bool menuMusicOff = false;

        // Single player difficulty, 0: Easy, 1: Medium, 2: Hard
        public static byte difficulty = 0;

        // Storage devices for player index 1 to 4 (0 to 3)
        public static StorageDevice[] storageDevices = new StorageDevice[] { null, null, null, null };

        // GamerStatistics
        public static GamerStats mainPlayerStatistics = null;
        public static GamerStats otherPlayerStatistics = null;

        #endregion
        
        /// <summary>
        /// The main entry point for this game.
        /// </summary>
        static void Main(string[] args)
        {
            // Create a new game and run it.
            using (GameStrategicCombat game = new GameStrategicCombat())
            {
                game.Run();
            }
        }

    } // End of class

#endif

} // End of namespace

